
Name:		libnetfilter_cttimeout1
Version:	1.0.0
Release:	1.2
Group:		Productivity/Networking/Security
Summary:	Timeout policy tuning for Netfilter/conntrack
License:	GPL
URL:		http://netfilter.org/projects/libnetfilter_cttimeout/

Source:		libnetfilter_cttimeout-%version.tar.bz2
BuildRequires:	libnfnetlink-devel libmnl-devel pkgconfig
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
%if "%{?vendor_uuid}" != ""
Provides:	%name(vendor=%vendor_uuid) = %{version}-%{release}
%endif

%description
This infrastructure allows you to define fine-grain timeout
policies per flow. Basically, from user-space, you can create
timeout policy objects via nfct_timeout_alloc(), set the
policy attributes, via nfct_timeout_*_attr_set(), and then
build the ctnetlink message to communicate this new timeout
policy to the kernel.

ctnetlink keeps a list of existing policies that are identified
by one name. Timeout policies can be attached to flows via the
iptables CT target.

This is useful in case you want to reduce the timeout of TCP
Established state to 3000 seconds instead of default 432000
seconds for certain flows. The infrastructure allows fine
tuning of all existing protocol trackers and even modifying
the timeout for several states for one given protocol.

This new infrastructure uses libmnl, thus, libnetfilter_conntrack
remains in intermediate state, meaning that it depends on
libnfnetlink and libmnl. This should not be a problem since
we'll require this dual support during the transition to the
new libnetfilter_conntrack API.

Author(s):
----------
	Pablo Neira Ayuso <pablo@netfilter.org>
	Netfilter Team <netfilter-devel@vger.kernel.org>

%package -n libnetfilter_cttimeout-devel
Group:		Development/Libraries/C and C++
Summary:	Development files for libnetfilter_cttimeout
Requires:	%name = %version
Requires:	libmnl-devel

%description -n libnetfilter_cttimeout-devel
Development files for libnetfilter_cttimeout.

Author(s):
----------
	Netfilter Team <netfilter-devel@vger.kernel.org>
	Éric Leblond
	Pablo Neira Aysuo
	Harald Welte

%prep
%setup -qn libnetfilter_cttimeout-%version

%build
%configure --disable-static
%__make %{?jobs:-j%jobs};

%install
b="%buildroot";
mkdir -p "$b";
%__make install DESTDIR="$b";
find "$b" -type f -iname "*.la" -print0 | xargs -0 rm -f;

%clean
rm -Rf "%buildroot";

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_libdir/lib*.so.*

%files -n libnetfilter_cttimeout-devel
%defattr(-,root,root)
%_includedir/*
%_libdir/lib*.so
%_libdir/pkgconfig/*

%changelog
* Sun May 27 2012 cs@linux-administrator.com
- initial package build, version 1.0.0
